Create Wikisource Basque
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikisource Basque.

  • Local file uploads: disabled

The translations for the Wikisource-specific namespaces are:
"Page" > "Orrialde"
"Page talk" > "Orrialde eztabaida"
"Index" > "Aurkibide"
"Index talk" > "Aurkibide eztabaida"

Thank you.

Checklist
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2018, 11:34 AM

Ill do init cfg.

(test, sorry for bothering)

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 12 2018, 2:47 PM
Urbanecm triaged this task as Low priority.Mar 13 2018, 12:41 PM

Change 419171 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for euwikisource

https://gerrit.wikimedia.org/r/419171

Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Mar 15 2018, 1:22 PM
KRLS added a subscriber: KRLS.Mar 18 2018, 8:45 AM

The translations for the Wikisource-specific namespaces are:
"Page" > "Orrialde"
"Page talk" > "Orrialde eztabaida"
"Index" > "Aurkibide"
"Index talk" > "Aurkibide eztabaida"

Why not creating a subtask for them?

Change 424844 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[mediawiki/extensions/ProofreadPage@master] Localize namespaces in Basque

https://gerrit.wikimedia.org/r/424844

Change 424844 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Localize namespaces in Basque

https://gerrit.wikimedia.org/r/424844

Dereckson updated the task description. (Show Details)Apr 8 2018, 7:30 PM

Change 419171 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for euwikisource

https://gerrit.wikimedia.org/r/419171

Change 427547 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Change 427547 merged by jenkins-bot:
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Mentioned in SAL (#wikimedia-operations) [2018-04-18T22:31:05Z] <Dereckson> Created database and set initial stuff for eu.wikisource.org (T189465)

Change 427560 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Logos for Euskara Wikisource

https://gerrit.wikimedia.org/r/427560

Change 427560 merged by jenkins-bot:
[operations/mediawiki-config@master] Logos for Euskara Wikisource

https://gerrit.wikimedia.org/r/427560

Mentioned in SAL (#wikimedia-operations) [2018-04-18T22:58:53Z] <dereckson@tin> Synchronized static/images/project-logos/: Logos for eu.wikisource (T189465) (duration: 01m 12s)

Jayprakash12345 changed the status of subtask T189467: Add Wikisource Basque to pywikibot from Stalled to Open.Apr 18 2018, 11:26 PM
Restricted Application added a project: Product-Analytics. · View Herald TranscriptApr 18 2018, 11:40 PM
Jayprakash12345 changed the status of subtask T189466: Prepare storage layer for euwikisource from Stalled to Open.
Jayprakash12345 changed the status of subtask T189468: Add euwikisource to wikistats from Stalled to Open.

Change 428055 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] euwikisource: add missing $wgMetaNamespace

https://gerrit.wikimedia.org/r/428055

Change 428055 merged by jenkins-bot:
[operations/mediawiki-config@master] euwikisource: add missing $wgMetaNamespace

https://gerrit.wikimedia.org/r/428055

Mentioned in SAL (#wikimedia-operations) [2018-04-23T13:43:06Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:428055|euwikisource: add missing $wgMetaNamespace (T189465)]] (duration: 01m 16s)

zfilipin@terbium:~$ mwscript namespaceDupes.php euwikisource
id=1526 ns=0 dbk=Wikiteka:Zer_da_Wikiteka? -> Wikiteka:Zer_da_Wikiteka? (no conflict) DRY RUN ONLY
1 pages to fix, 1 were resolvable.

pagelinks from=5 ns=0 dbk=Wikiteka:Zer_da_Wikiteka? -> Wikiteka:Zer_da_Wikiteka? DRY RUN
pagelinks from=1621 ns=0 dbk=Wikiteka:Zer_da_Wikiteka? -> Wikiteka:Zer_da_Wikiteka? DRY RUN
2 links to fix, 2 were resolvable.

Looks good!
zfilipin@terbium:~$ mwscript namespaceDupes.php euwikisource --fix
id=1526 ns=0 dbk=Wikiteka:Zer_da_Wikiteka? -> Wikiteka:Zer_da_Wikiteka? (no conflict)
1 pages to fix, 1 were resolvable.

pagelinks from=5 ns=0 dbk=Wikiteka:Zer_da_Wikiteka? -> Wikiteka:Zer_da_Wikiteka?
pagelinks from=1621 ns=0 dbk=Wikiteka:Zer_da_Wikiteka? -> Wikiteka:Zer_da_Wikiteka?
2 links to fix, 2 were resolvable.

Looks good!
zfilipin@terbium:~$ mwscript initSiteStats.php --wiki=euwikisource --update
Refresh Site Statistics

Counting total edits...7773
Counting number of articles...332
Counting total pages...1644
Counting number of users...133
Counting number of images...0

Updating site statistics...done.

Done.

I think everything is done here right?

Urbanecm closed this task as Resolved.Apr 27 2018, 9:38 AM

Should be. Feel free to reopen if you'll find something.

VIGNERON updated the task description. (Show Details)Apr 27 2018, 9:47 AM

It shoud be but can someone check all the points on the checklist?

I know Wikidata is ok now (I've add some pages to Wikidata, https://www.wikidata.org/wiki/Special:Diff/668942949 ).

Dereckson updated the task description. (Show Details)Apr 27 2018, 10:05 AM
Dereckson updated the task description. (Show Details)

It seems that the Index: information from multilanguage Wikisource wasn't copied into eu.wikisource. Look at the history here: https://eu.wikisource.org/w/index.php?title=Aurkibide:Olerkijak_(1919).djvu&action=history